
var enq = require('../enq.js').enq;

enq({ // First group of parallel functions
	a:function(){
		var THIS=this;
		console.log('in a()');
		setTimeout(function(){
			THIS.return('return from a()');
		},1000);
	},
	b:function(){
		var THIS=this;
		console.log('in b()');
		setTimeout(function(){
			THIS.return('return from b()');
		},1000);
	}
})({ // Second group of parallel functions
	c:function(res){
		var THIS=this;
		console.log('in c()',res);
		setTimeout(function(){
			THIS.return('return from c()');
		},1000);

	},
	d:function(res){
		var THIS=this;
		console.log('in d()',res);
		setTimeout(function(){
			THIS.return('return from d()');
		},1000);
	}
})({ // Third group of parallel functions
	e:function(res){
		var THIS=this;
		console.log('in e()',res);
		setTimeout(function(){
			THIS.return('return from e()');
		},1000);

	},
	f:function(res){
		var THIS=this;
		console.log('in f()',res);
		setTimeout(function(){
			THIS.return('return from f()');
		},1000);
	}
})(function(res){ // Just to show the return from e() and f();
	console.log('last callback',res);
});
